# Get pages

_Cms / Pages_

`GET /cms/pages/{bucketId}`

## Parameters

- `pageId` (number, optional) — Filter by specific page ID
- `slug` (string, optional) — Filter by page slug (supports base64 encoding)
- `q` (string, optional) — Search query for pages
- `category` (number, optional) — Filter by category ID
- `isPublished` (boolean, optional) — Filter by published status
- `isLatest` (boolean, optional) — Filter for latest pages only
- `sort` (number, optional) — Sort order (0-4, representing different sorting types)
- `from` (number, optional) — Starting index for pagination (default: 0)
- `to` (number, optional) — Ending index for pagination (default: 1)

## Responses

### `200` — Pages retrieved successfully

Type: `PagedResponse<PageDto<number>>`



## Code Examples

### curl

```curl
curl --request GET \
 --url 'https://apis-spb.konso.io/cms/pages/{bucketId}?category=1&isPublished=true&from=0&to=10' \
 --header 'x-api-key: {your-api-key}'
```

### javascript

```js
const options = {
 method: 'GET',
 headers: {
 'x-api-key': '{your-api-key}'
 }
};

fetch('https://apis-spb.konso.io/cms/pages/{bucketId}?category=1&isPublished=true&from=0&to=10', options)
 .then(response => response.json())
 .then(response => console.log(response))
 .catch(err => console.error(err));
```

### Response Example (200)

```json
{
 "data": [
  {
   "id": 1,
   "title": "About Us",
   "slug": "about-us",
   "summary": "Learn about our company",
   "isPublished": true,
   "categoryId": 1
  }
 ],
 "total": 15,
 "from": 0,
 "to": 10
}
```

## Repositories

- [konso-cms-nodejs](https://gitverse.ru/konso/konso-cms-nodejs)
- [konso-cms-dotnet](https://gitverse.ru/konso/konso-cms-dotnet)

## Packages

- `dotnet add package Konso.Clients.Cms` — [Konso.Clients.Cms](https://nugetprodusnc-northcentralus-01.regional.azure-api.net/packages/Konso.Clients.Cms)
- `npm install @konso/cms-client` — [@konso/cms-client](https://www.npmjs.com/package/@konso/cms-client)
